#!/bin/bash
adjustModelFile() {
    echo "/*"  > ${1}.new
    echo " * Automatic generation by build.sh" >> ${1}.new
    echo " */" >> ${1}.new
    stopRec=0
    while IFS='' read -r line || [[ -n "$line" ]]; do
        if [[ $line == *"crud-restful"* ]]; then
            continue
        fi
        if [[ $line == *"@InputType"* || $line == *"@Id"* || $line == *"@Select"* || $line == *"@Configure"* || $line == *"@Table"* || $line == *"@MultiSelect"* || $line == *"@Chips"* || $line == *"@Calendar"* || $line == *"@Checkboxes"* || $line == *"@Radioboxes"* ]]; then
            stopRec=1
        fi
        if [[ $stopRec -ne 1 ]]
        then
          echo "$line" >> ${1}.new
        fi
        if [[ $stopRec -eq 1 && $line == *"})"* ]]
        then
            stopRec=0
        fi        
    done < "$1"
    mv ${1}.new ${1}
}

cp -rf ../reporting-webapp/src/app/app-settings.ts ./src/app/
cp -rf ../reporting-webapp/src/app/models/ ./src/app/
cp -rf ../reporting-webapp/src/app/components/util/comm ./src/app/components/util
cp -rf ../reporting-webapp/src/app/services/live-operator ./src/app/services
cp -rf ../reporting-webapp/src/app/pipes ./src/app
cp -rf ../reporting-webapp/src/app/pipe.module.ts ./src/app

#Only for TESTS must remove it:
#sed -i -e 's/enterprises\/oauth/live-operator\/oauth/g' src/app/app-settings.ts

for f in `ls ./src/app/models`
do
  echo "Processing $f file ..."
  adjustModelFile "./src/app/models/$f"
done

#sed -i -e 's/{ Service }/{ WpsService }/g' src/app/services/live-operator/live-operator.service.ts
#sed -i -e 's/private service: Service/private service: WpsService/g' src/app/services/live-operator/live-operator.service.ts

version=($(jq -r '.version' package.json))
echo "Old version => " $version
minorVersion=`echo $version | cut -f3 -d.`
minorVersion=`expr $minorVersion + 1`
newVersion=`echo $version | cut -f1 -d.`.`echo $version | cut -f2 -d.`.$minorVersion
echo "New version => " $newVersion
sed -i "s/${version}/${newVersion}/g" package.json

cp -f package.json ./dist

npm install
npm run build
npm publish
npm run clean