import { Login, Groups, StationGroups } from './models/index';
export declare class AppSettings {
    static DEBUG: boolean;
    static BACKEND_SERVER_SETTINGS: string;
    static BACKEND_SERVER_WEB_REPORTS: string;
    static BACKEND_SERVER_ENTEPRISE_ADMIN: string;
    static BACKEND_SERVER_PARKING_RESERVATION: string;
    static BACKEND_LOGIN: string;
    static AUTH: string;
    static LANG: string;
    static PRODUCTION: boolean;
    static DATE_FORMAT: string;
    static TIME_FORMAT: string;
    static loginUsername: string;
    static idReport: number;
    static startIdReport: number;
    static groups: Groups[];
    static stationGroups: StationGroups[];
    static authorizationTemporary: string;
    static refreshTokenId: any;
    static heartBeatInterval: any;
    static BACKEND_SERVER_BROKER_enabled: boolean;
    static BACKEND_SERVER_BROKER_url: string;
    static BACKEND_SERVER_BROKER_user: string;
    static BACKEND_SERVER_BROKER_pass: string;
    static BACKEND_SERVER_BROKER_subscribe: string[];
    static BACKEND_SERVER_BROKER_publish: string[];
    static BACKEND_SERVER_BROKER_keepalive: number;
    static BACKEND_SERVER_BROKER_showHeart: boolean;
    static accountOwner: boolean;
    static targetAccount: any;
    static ENABLED_SERVICES: string[];
    static SERVICE_SETTINGS: string;
    static ROUTE_SERVICE: {
        'admin': string;
        'settings': string;
        'webReports': string;
        'parkReservation': string;
        'mobilePayment': string;
        'scheduling': string;
        'enterprise': string;
        'liveOperator': string;
    };
    static USER_NAME: string;
    static USER_ID: string;
    static URI_PARKING_RESERVATION: string;
    constructor();
    static selectedLanguage: string;
    static getEndPointLiveSessionControl(id: String, action: String): any;
    static getEndPointWebReports(idReport: number): any;
    static getEndPointWebReportsScheduling(token: string, idReport: string): any;
    static readonly endPointSubmenuGetAll: string;
    static readonly endPointParkingGetAll: string;
    static endPointStationsGetAll(carpark: string): string;
    static endPointTemplateById(id: number): string;
    static readonly endPointTemplateAdd: string;
    static endPointTemplateEdit(id: number): string;
    static endPointTemplateRemove(id: number): string;
    static readonly endPointDataSourceGetAll: string;
    static endPointDataSourceGetById(id: number): string;
    static readonly endPointDataSourceAdd: string;
    static readonly endPointDataSourceEdit: string;
    static endPointDataSourceRemove(id: number): string;
    static readonly endPointDataSourceCheckSyntax: string;
    static readonly endPointGroupsGetAll: string;
    static readonly endPointGroupsParking: string;
    static readonly endPointGroupsAdd: string;
    static readonly endPointGroupsRemove: string;
    static endPointGroupsRemoveById(id: number): string;
    static endPointCarParkGroupsEdit(id: number): string;
    static endPointLogin(login: Login): string;
    static endPointRefreshToken(token: string): string;
    static readonly endPointSchedulingAdd: string;
    static readonly endPointSchedulingGetAll: string;
    static readonly endPointSchedulingEdit: string;
    static endPointSchedulingRemove(id: number): string;
    static getEndPointUsersGetAll(): string;
    static endPointUserAdd(): string;
    static endPointUserGetAll(): string;
    static endPointUserEdit(id: string): string;
    static endPointUserRemove(id: string): string;
    static changePassword(id: string): string;
    static loggedUser(): string;
    static invalidateToken(): string;
    static resetPassword(): string;
    static getEndPointAccountGetAll(): string;
    static endPointAccountAdd(): string;
    static endPointAccountGetAll(): string;
    static endPointAccountEdit(id: string): string;
    static endPointAccountRemove(id: string): string;
    static setTargetAccount(targetAccount: any): void;
    static getEndPointCompanyGetAll(): string;
    static endPointCompanyAdd(): string;
    static endPointCompanyGetAll(): string;
    static endPointCompanyEdit(id: number): string;
    static endPointCompanyRemove(id: number): string;
    static endPointAddCarParkToCompany(idCompany: number, idCarPark: string): string;
    static getEndPointCarParkGetAll(): string;
    static endPointCarParkAdd(): string;
    static endPointCarParkGetAll(): string;
    static endPointCarParkEdit(id: string): string;
    static endPointCarParkRemove(id: string): string;
    static endPointCarParkGetAllByCompany(idCompany: number): string;
    static endPointCarParkAvailableByCompany(idCompany: number): string;
    static endPointCarParkGetAllServices(): string;
    static endPointCarParkServicesAdd(idAccount: number, idCarPark: string, idService: number): string;
    static endPointCarParkServicesUpdate(idAccount: number, idCarPark: string, idService: number, enableId: number): string;
    static endPointApplicationGetAll(): string;
    static endPointApplicationAdd(): string;
    static endPointCredentialGetAll(id: number): string;
    static endPointCredentialAdd(): string;
    static endPointAuthorizationGetAll(idCredential: number): string;
    static endPointAuthorizationAdd(): string;
    static endPointAuthorizationDelete(id: number): string;
    static endPointRolesGetAll(idService: number, type: string, enabled?: boolean): string;
    static endPointRoleAdd(idAuthorization: number, idRole: string): string;
    static endPointRoleUpdate(idAuthorization: number, idRole: string, idEnabledRole: string): string;
    static endPointLiveOperatorSubscriber(): string;
    static endPointLiveOperatorUnsubscriber(id: string): string;
    static endPointLiveOperatorGetAll(): string;
    static endPointLiveOperatorEventsGetAll(pageSize: number, pageNumber?: number, sortField?: string, sortOrder?: number): string;
    static endPointLiveOperatorClearEvent(idCarPark: string, idEvent: number): string;
    static endPointLiveOperatorGetEventDetail(idCarPark: string, idEvent: number): string;
    static endPointLiveOperatorEventsByCarParkGetAll(idCarPark: string, pageSize: number, pageNumber?: number): string;
    static endPointLiveOperatorEventsByStationGetAll(idCarPark: string, idStation: string, pageSize: number, pageNumber?: number): string;
    static endPointLiveOperatorStationsGetAll(idCarPark: string): string;
    static endPointLiveOperatorGetStationDetail(stationId: string): string;
    static endPointLiveOperatorSendCommand(carParkId: string, stationId: string): string;
    static endPointLiveOperatorStationCommands(pageSize: number, pageNumber?: number): string;
    static endPointLiveOperatorStationScreenShot(carParkId: string, stationId: string): string;
    static endPointEnabledCarParksParkingReservation(page: number, size: number): string;
    static endPointCreateEnabledCarParkParkingReservation(carParkId: string): string;
    static endPointUpdateEnabledCarParkParkingReservation(carParkId: string, enabledId: string): string;
    static getEndPointRegionGetAll(): string;
    static endPointRegionGetAll(): string;
    static endPointRegionGetAllByCompany(idCompany: number): string;
    static endPointRegionAdd(): string;
    static endPointRegionRemove(id: string): string;
    static endPointRegionAvailableByCompany(idCompany: number): string;
    static endPointRegionGetAllServices(): string;
    static endPointRegionServicesAdd(idAccount: number, idRegion: string, idService: number): string;
    static endPointRegionServicesUpdate(idAccount: number, idRegion: string, idService: number, enableId: number): string;
    static endPointRegionEdit(id: string): string;
    static endPointStationGroupsGetAll(carparkId: string): string;
    static endPointStationGroupsStations(groupId: string): string;
    static readonly endPointStationGroupsAdd: string;
    static readonly endPointStationGroupsRemove: string;
    static endPointStationGroupsRemoveById(id: number): string;
    static endPointStationGroupsEditStation(id: number): string;
}
