"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var AppSettings = (function () {
    var AppSettings = AppSettings_1 = function AppSettings() {
    };
    Object.defineProperty(AppSettings, "selectedLanguage", {
        get: function () {
            return AppSettings_1.LANG;
        },
        set: function (lang) {
            AppSettings_1.LANG = lang;
        },
        enumerable: true,
        configurable: true
    });
    AppSettings.getEndPointLiveSessionControl = function (id, action) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/live-dashboards.json'; // same response for create/ heartbeat/delete because we care only for create. 
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/live-dashboards/' + id + action;
        }
    };
    AppSettings.getEndPointWebReports = function (idReport) {
        AppSettings_1.idReport = idReport;
        if (AppSettings_1.DEBUG) {
            return '/mock-data/report-demo-all.json';
            //return '/mock-data/report-occupation.json';
            //return '/mock-data/report.json';
            //return '/mock-data/report-by-period.json'; // by period with dashboard item for realtime
            //return '/mock-data/report-by-subgroup.json'; //grouped by subgroup
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/' + idReport;
        }
    };
    AppSettings.getEndPointWebReportsScheduling = function (token, idReport) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/report.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling/' + token + '?reportId=' + idReport;
        }
    };
    Object.defineProperty(AppSettings, "endPointSubmenuGetAll", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                //this new mocky includes property realtime boolean for some reports
                //return 'http://www.mocky.io/v2/58d28b081000009804b164c4';
                //return 'http://www.mocky.io/v2/58cc2aeb120000ef0de10482';
                //return 'http://www.mocky.io/v2/58822b002800002d05cbd40d';
                //return 'http://www.mocky.io/v2/5881e290250000a021c9ee89';
                return '/mock-data/submenu-report.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports?language=' + AppSettings_1.LANG;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AppSettings, "endPointParkingGetAll", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/all-carparks.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/carparks/';
            }
        },
        enumerable: true,
        configurable: true
    });
    AppSettings.endPointStationsGetAll = function (carpark) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/all-stations.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/carparks/' + carpark + '/stations';
        }
    };
    //-------- Custom Template --------//
    AppSettings.endPointTemplateById = function (id) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/edit-template-by-id.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/' + id;
        }
    };
    Object.defineProperty(AppSettings, "endPointTemplateAdd", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/add-template.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/customReports';
            }
        },
        enumerable: true,
        configurable: true
    });
    AppSettings.endPointTemplateEdit = function (id) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/edit-template.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/' + id + '/customReports';
        }
    };
    AppSettings.endPointTemplateRemove = function (id) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/edit-template.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/' + id + '/customReports';
        }
    };
    Object.defineProperty(AppSettings, "endPointDataSourceGetAll", {
        //-------- Custom DataSource --------//
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/all-datasources.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource';
            }
        },
        enumerable: true,
        configurable: true
    });
    AppSettings.endPointDataSourceGetById = function (id) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/datasources-edit.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource/' + id;
        }
    };
    Object.defineProperty(AppSettings, "endPointDataSourceAdd", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return 'http://www.mocky.io/v2/58822f84280000ba05cbd421';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource';
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AppSettings, "endPointDataSourceEdit", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return 'http://www.mocky.io/v2/58822f84280000ba05cbd421';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource';
            }
        },
        enumerable: true,
        configurable: true
    });
    AppSettings.endPointDataSourceRemove = function (id) {
        if (AppSettings_1.DEBUG) {
            return 'http://www.mocky.io/v2/58822f84280000ba05cbd421';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource/' + id;
        }
    };
    Object.defineProperty(AppSettings, "endPointDataSourceCheckSyntax", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/datasources-syntax-ok';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource/test-query';
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AppSettings, "endPointGroupsGetAll", {
        //-------- Groups --------//
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/all-groups.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_SETTINGS + '/enterprises/groups';
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AppSettings, "endPointGroupsParking", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/all-carparks.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/carparks/';
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AppSettings, "endPointGroupsAdd", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/groups-add.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_SETTINGS + '/enterprises/groups/';
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AppSettings, "endPointGroupsRemove", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/groups-remove.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_SETTINGS + '/enterprises/groups';
            }
        },
        enumerable: true,
        configurable: true
    });
    AppSettings.endPointGroupsRemoveById = function (id) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/groups-remove-by-id.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_SETTINGS + '/enterprises/groups/' + id;
        }
    };
    AppSettings.endPointCarParkGroupsEdit = function (id) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/groups-edit.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_SETTINGS + '/enterprises/groups/' + id + '/carParks';
        }
    };
    //-------- Login --------//
    AppSettings.endPointLogin = function (login) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/login.json';
        }
        else {
            console.log('(AppSettings.BACKEND_LOGIN=' + AppSettings_1.BACKEND_LOGIN + '/enterprises/oauth/token?grant_type=password&username=' + login.username + '&password=' + login.password);
            return AppSettings_1.BACKEND_LOGIN + '/enterprises/oauth/token?grant_type=password&username=' + login.username + '&password=' + login.password;
        }
    };
    AppSettings.endPointRefreshToken = function (token) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/login.json';
        }
        else {
            return AppSettings_1.BACKEND_LOGIN + '/enterprises/oauth/token?grant_type=refresh_token&refresh_token=' + token;
        }
    };
    Object.defineProperty(AppSettings, "endPointSchedulingAdd", {
        //Scheduling
        get: function () {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AppSettings, "endPointSchedulingGetAll", {
        get: function () {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AppSettings, "endPointSchedulingEdit", {
        get: function () {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling';
        },
        enumerable: true,
        configurable: true
    });
    AppSettings.endPointSchedulingRemove = function (id) {
        return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling/' + id;
    };
    //Users
    AppSettings.getEndPointUsersGetAll = function () {
        return '/enterprises/account/users';
    };
    AppSettings.endPointUserAdd = function () {
        return AppSettings_1.BACKEND_SERVER_SETTINGS + AppSettings_1.getEndPointUsersGetAll();
    };
    AppSettings.endPointUserGetAll = function () {
        return AppSettings_1.BACKEND_SERVER_SETTINGS + AppSettings_1.getEndPointUsersGetAll();
    };
    AppSettings.endPointUserEdit = function (id) {
        return AppSettings_1.BACKEND_SERVER_SETTINGS + AppSettings_1.getEndPointUsersGetAll() + '/' + id;
    };
    AppSettings.endPointUserRemove = function (id) {
        return AppSettings_1.BACKEND_SERVER_SETTINGS + AppSettings_1.getEndPointUsersGetAll() + '/' + id;
    };
    AppSettings.changePassword = function (id) {
        return AppSettings_1.BACKEND_LOGIN + '/enterprises/account/users/' + id + '/change-password';
    };
    AppSettings.loggedUser = function () {
        return AppSettings_1.BACKEND_SERVER_SETTINGS + '/enterprises/logged-user';
    };
    AppSettings.invalidateToken = function () {
        return AppSettings_1.BACKEND_SERVER_SETTINGS + '/enterprises/oauth/revoke-token?username=' + AppSettings_1.loginUsername;
    };
    AppSettings.resetPassword = function () {
        return AppSettings_1.BACKEND_SERVER_SETTINGS + '/enterprises/password/reset';
    };
    //Admin
    //Account
    AppSettings.getEndPointAccountGetAll = function () {
        return '/enterprise-admin/v1/accounts';
    };
    AppSettings.endPointAccountAdd = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings_1.getEndPointAccountGetAll();
    };
    AppSettings.endPointAccountGetAll = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings_1.getEndPointAccountGetAll();
    };
    AppSettings.endPointAccountEdit = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings_1.getEndPointAccountGetAll() + '/' + id;
    };
    AppSettings.endPointAccountRemove = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings_1.getEndPointAccountGetAll() + '/' + id;
    };
    //Company
    AppSettings.setTargetAccount = function (targetAccount) {
        AppSettings_1.targetAccount = targetAccount;
    };
    AppSettings.getEndPointCompanyGetAll = function () {
        if (AppSettings_1.targetAccount == undefined) {
            return '/enterprise-admin/v1/accounts/1/companies';
        }
        return '/enterprise-admin/v1/accounts/' + AppSettings_1.targetAccount.accountId + '/companies';
    };
    AppSettings.endPointCompanyAdd = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies';
    };
    AppSettings.endPointCompanyGetAll = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings_1.getEndPointCompanyGetAll();
    };
    AppSettings.endPointCompanyEdit = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + id;
    };
    AppSettings.endPointCompanyRemove = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + id;
    };
    AppSettings.endPointAddCarParkToCompany = function (idCompany, idCarPark) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + idCompany + '/carparks/' + idCarPark;
    };
    //CarParks
    AppSettings.getEndPointCarParkGetAll = function () {
        return '/enterprise-admin/v1/carparks';
    };
    AppSettings.endPointCarParkAdd = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/carparks';
    };
    AppSettings.endPointCarParkGetAll = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings_1.getEndPointCarParkGetAll();
    };
    AppSettings.endPointCarParkEdit = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/carparks/' + id;
    };
    AppSettings.endPointCarParkRemove = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/carparks/' + id;
    };
    AppSettings.endPointCarParkGetAllByCompany = function (idCompany) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + idCompany + '/carparks';
    };
    AppSettings.endPointCarParkAvailableByCompany = function (idCompany) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + idCompany + '/carparks?notRelated=' + true;
    };
    AppSettings.endPointCarParkGetAllServices = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/services';
    };
    AppSettings.endPointCarParkServicesAdd = function (idAccount, idCarPark, idService) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + idAccount + '/carparks/' + idCarPark + '/services/' + idService + '/enable';
    };
    AppSettings.endPointCarParkServicesUpdate = function (idAccount, idCarPark, idService, enableId) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + idAccount + '/carparks/' + idCarPark + '/services/' + idService + '/enable/' + enableId;
    };
    //Application
    AppSettings.endPointApplicationGetAll = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + (AppSettings_1.targetAccount == undefined ? '1' : AppSettings_1.targetAccount.accountId) + '/users?type=APPLICATION';
    };
    AppSettings.endPointApplicationAdd = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/users';
    };
    //Credential
    AppSettings.endPointCredentialGetAll = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/users/' + id + '/credentials';
    };
    AppSettings.endPointCredentialAdd = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/credentials';
    };
    AppSettings.endPointAuthorizationGetAll = function (idCredential) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/credentials/' + idCredential + '/authorizations?accountId=' + AppSettings_1.targetAccount.accountId;
    };
    AppSettings.endPointAuthorizationAdd = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations';
    };
    AppSettings.endPointAuthorizationDelete = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations/' + id;
    };
    AppSettings.endPointRolesGetAll = function (idService, type, enabled) {
        var url;
        if (enabled) {
            url = AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations/' + idService + '/roles/enabled';
        }
        else {
            url = AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/services/' + idService + '/roles';
            url += '?userType=' + type;
        }
        return url;
    };
    AppSettings.endPointRoleAdd = function (idAuthorization, idRole) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations/' + idAuthorization + '/roles/' + idRole + '/enabled';
    };
    AppSettings.endPointRoleUpdate = function (idAuthorization, idRole, idEnabledRole) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations/' + idAuthorization + '/roles/' + idRole + '/enabled/' + idEnabledRole;
    };
    //Live Operator
    AppSettings.endPointLiveOperatorSubscriber = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/subscribers';
    };
    AppSettings.endPointLiveOperatorUnsubscriber = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/subscribers/' + id;
    };
    AppSettings.endPointLiveOperatorGetAll = function () {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/live-operator-carparks.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/carparks';
        }
    };
    AppSettings.endPointLiveOperatorEventsGetAll = function (pageSize, pageNumber, sortField, sortOrder) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/live-operator-carparks-events.json';
        }
        else {
            var url = AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/events?size=' + pageSize;
            if (pageNumber != undefined) {
                url += '&page=' + pageNumber;
            }
            //if (sortField) {
            //url+='&sort='+sortField+','+(sortOrder==-1?'desc':'asc');
            //}
            return url;
        }
    };
    AppSettings.endPointLiveOperatorClearEvent = function (idCarPark, idEvent) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/carparks/' + idCarPark + '/events/' + idEvent + '/clears';
    };
    AppSettings.endPointLiveOperatorGetEventDetail = function (idCarPark, idEvent) {
        if (AppSettings_1.DEBUG) {
            if (idEvent % 2 == 0) {
                return 'mock-data/live-operator-event-detail-0.json';
            }
            else {
                return 'mock-data/live-operator-event-detail-1.json';
            }
        }
        else {
            return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/carparks/' + idCarPark + '/events/' + idEvent + '/details';
        }
    };
    AppSettings.endPointLiveOperatorEventsByCarParkGetAll = function (idCarPark, pageSize, pageNumber) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/live-operator-carparks-events.json';
        }
        else {
            var url = AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/carparks/' + idCarPark + '/events?size=' + pageSize;
            if (pageNumber != undefined) {
                url += '&page=' + pageNumber;
            }
            return url;
        }
    };
    AppSettings.endPointLiveOperatorEventsByStationGetAll = function (idCarPark, idStation, pageSize, pageNumber) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/live-operator-carparks-events.json';
        }
        else {
            var url = AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/carparks/' + idCarPark + '/stations/' + idStation + '/events?size=' + pageSize;
            if (pageNumber != undefined) {
                url += '&page=' + pageNumber;
            }
            return url;
        }
    };
    AppSettings.endPointLiveOperatorStationsGetAll = function (idCarPark) {
        var url = AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/carparks/' + idCarPark + '/stations';
        return url;
    };
    AppSettings.endPointLiveOperatorGetStationDetail = function (stationId) {
        return '/mock-data/live-operator-station-detail-0.json';
    };
    AppSettings.endPointLiveOperatorSendCommand = function (carParkId, stationId) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/carparks/' + carParkId + '/stations/' + stationId + '/commands';
    };
    AppSettings.endPointLiveOperatorStationCommands = function (pageSize, pageNumber) {
        var url = AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/commands?size=' + pageSize;
        if (pageNumber != undefined) {
            url += '&page=' + pageNumber;
        }
        return url + '&sort=updateDateTime,desc';
    };
    AppSettings.endPointLiveOperatorStationScreenShot = function (carParkId, stationId) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/carparks/' + carParkId + '/stations/' + stationId + '/screenshot';
    };
    // Parking Reservation
    AppSettings.endPointEnabledCarParksParkingReservation = function (page, size) {
        return AppSettings_1.BACKEND_SERVER_PARKING_RESERVATION + AppSettings_1.URI_PARKING_RESERVATION + 'carParks/enabled?page=' + page + '&size=' + size;
    };
    AppSettings.endPointCreateEnabledCarParkParkingReservation = function (carParkId) {
        return AppSettings_1.BACKEND_SERVER_PARKING_RESERVATION + AppSettings_1.URI_PARKING_RESERVATION + 'carParks/' + carParkId + '/enabled';
    };
    AppSettings.endPointUpdateEnabledCarParkParkingReservation = function (carParkId, enabledId) {
        return AppSettings_1.BACKEND_SERVER_PARKING_RESERVATION + AppSettings_1.URI_PARKING_RESERVATION + 'carParks/' + carParkId + '/enabled/' + enabledId;
    };
    //Regions
    AppSettings.getEndPointRegionGetAll = function () {
        return '/enterprise-admin/v1/regions';
    };
    AppSettings.endPointRegionGetAll = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings_1.getEndPointRegionGetAll();
    };
    AppSettings.endPointRegionGetAllByCompany = function (idCompany) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + idCompany + '/regions';
    };
    AppSettings.endPointRegionAdd = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/regions';
    };
    AppSettings.endPointRegionRemove = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/regions/' + id;
    };
    AppSettings.endPointRegionAvailableByCompany = function (idCompany) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + idCompany + '/regions?notRelated=' + true;
    };
    AppSettings.endPointRegionGetAllServices = function () {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/services';
    };
    AppSettings.endPointRegionServicesAdd = function (idAccount, idRegion, idService) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + idAccount + '/regions/' + idRegion + '/services/' + idService + '/enable';
    };
    AppSettings.endPointRegionServicesUpdate = function (idAccount, idRegion, idService, enableId) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + idAccount + '/regions/' + idRegion + '/services/' + idService + '/enable/' + enableId;
    };
    AppSettings.endPointRegionEdit = function (id) {
        return AppSettings_1.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/regions/' + id;
    };
    //-------- Station Groups --------//
    AppSettings.endPointStationGroupsGetAll = function (carparkId) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/all-groups-station.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/carparks/' + carparkId + '/groupsstations';
        }
    };
    AppSettings.endPointStationGroupsStations = function (groupId) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/all-carparks-station.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations/' + groupId + '/stations';
        }
    };
    Object.defineProperty(AppSettings, "endPointStationGroupsAdd", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/groups-add-station.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations/';
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AppSettings, "endPointStationGroupsRemove", {
        get: function () {
            if (AppSettings_1.DEBUG) {
                return '/mock-data/groups-remove-station.json';
            }
            else {
                return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations';
            }
        },
        enumerable: true,
        configurable: true
    });
    AppSettings.endPointStationGroupsRemoveById = function (id) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/groups-remove-by-id-station.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations/' + id;
        }
    };
    AppSettings.endPointStationGroupsEditStation = function (id) {
        if (AppSettings_1.DEBUG) {
            return '/mock-data/groups-edit-station.json';
        }
        else {
            return AppSettings_1.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations/' + id + '/stations';
        }
    };
    AppSettings.LANG = 'en-en';
    AppSettings.DATE_FORMAT = 'dd/mm/yy';
    AppSettings.TIME_FORMAT = 'HH:mm';
    AppSettings.loginUsername = '';
    AppSettings.startIdReport = 1;
    AppSettings.groups = [];
    AppSettings.stationGroups = [];
    AppSettings.accountOwner = false;
    AppSettings.ENABLED_SERVICES = [];
    AppSettings.SERVICE_SETTINGS = 'settings';
    AppSettings.ROUTE_SERVICE = {
        'admin': 'enterprise-admin',
        'settings': 'settings',
        'webReports': 'reporting',
        'parkReservation': 'parking-reservation',
        'mobilePayment': '',
        'scheduling': '',
        'enterprise': 'enterprise',
        'liveOperator': 'live-operator'
    };
    AppSettings.USER_NAME = '';
    AppSettings.USER_ID = '';
    AppSettings.URI_PARKING_RESERVATION = '/reservation/v1/';
    AppSettings = AppSettings_1 = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [])
    ], AppSettings);
    return AppSettings;
    var AppSettings_1;
}());
exports.AppSettings = AppSettings;
//# sourceMappingURL=app-settings.js.map