import { Page, Station, CarPark, Vehicle, Customer, Company, AccessId, Reason, AccessDeniedReason, Section, Amount } from "./index";
export declare class LiveEvents {
    page: Page;
    content: LiveEvent[];
}
export declare class Label {
    key: string;
    value: string;
    textAlign: string;
    marginLeft: string;
    constructor(key: string, value: string, textAlign?: string, marginLeft?: string);
}
export declare class Text {
    key: string;
    lines: string[];
    constructor(key: string, lines: string[]);
    linesToString(): string;
}
export declare class LiveEvent {
    constructor();
    id: number;
    name: string;
    date: string;
    links: any[];
    carPark: CarPark;
    station: Station;
    fromId: string;
    mouseEvent: any;
    labels: Label[];
    texts: Text[];
    openDateTime: Date;
    icon: string;
}
export declare class LiveEventDetails {
    comments: string[];
    details: LiveEventDetail;
}
export declare class LiveEventDetail {
    vehicle?: Vehicle;
    customer?: Customer;
    company?: Company;
    accessIdentifier?: AccessId;
    reason?: Reason;
    accessDeniedReason?: AccessDeniedReason;
    section?: Section;
    amount?: Amount;
    amountPaid?: Amount;
}
