import { CarPark } from './carpark';
import { Page } from './page';
export declare class HeaderMqttPacket {
    version: string;
    timestamp: string;
    type: string;
}
export declare class LiveMqttPacket {
    header: HeaderMqttPacket;
    data: LiveMqttDataPacket[] | any;
}
export declare class LiveMqttDataPacket {
    id: string;
    name: string;
    status: string;
    statusMsg?: string;
    numberEvents: number;
    updateDateTime: Date;
    state: string;
    screenshot: string;
}
export declare class LiveSubscriber {
    id: string;
    topic: string;
}
export declare class Station {
    id: string;
    constructor(id?: string);
    name: string;
    status: string;
    numberEvents: number;
    statusMsg?: string;
    carPark: CarPark;
    events?: Event[];
    updateDateTime: Date;
    state: string;
    type: string;
    iconStation: string;
    commandTypes: string[];
    commandName: string[];
    commandIcon: string[];
    commandIconType: boolean[];
}
export declare class StationDetail {
    stationScreen: string;
    lastSuccessfulEvents: LastSuccessEvents[];
}
export declare class LastSuccessEvents {
    id: string;
    date: string;
    event: string;
    activity: string;
    barrierState: string;
}
export declare class Event {
    id: string;
    name: string;
    date: string;
    carParkId: string;
    carParkName: string;
    station: Station;
    fromId: string;
    mouseEvent: any;
}
export declare class LiveCommandResponse {
    carPark: CarPark;
    station: Station;
    command: string;
    comment: string;
    iconStation: string;
    iconCommand: string;
    isIcon: boolean;
    success: boolean;
    executing: boolean;
    fail: boolean;
    title: string;
    sent: boolean;
    received: boolean;
    inProgress: boolean;
    executed: boolean;
    failed: boolean;
    updateDateTime: Date;
    type: string;
    links: string[];
}
export declare class LiveCommandResponses {
    content: LiveCommandResponse[];
    page: Page;
}
export declare class StationCommand {
    type: string;
    comment: string;
    parameters: any;
    constructor(type: string, comment: string, parameters?: any);
}
export declare class LiveStationScreenShot {
}
