import { CarPark, CustomFilter } from './index';
export declare class FilterDate {
    dateStart: string;
    dateEnd: string;
    constructor(dateStart: string, dateEnd: string);
}
export declare class TimeRange {
    timeStart: string;
    timeEnd: string;
    constructor(timeStart: string, timeEnd: string);
}
export declare class Subgroup {
    id: string;
    constructor(id: string);
}
export declare class FilterStation {
    id: string;
    constructor(id: string);
}
export declare class ReportFilter {
    dates: FilterDate[];
    times: TimeRange[];
    carParks: CarPark[];
    subGroups: Subgroup[];
    period: string;
    stations: FilterStation[];
    subGroupsStations: Subgroup[];
    customFilter: CustomFilter;
    additionalParams: AdditionalParams;
    constructor(dates: FilterDate[], times: TimeRange[], carParks: CarPark[], subGroups: Subgroup[], period: string, stations: FilterStation[], subGroupsStations: Subgroup[], customFilter?: CustomFilter, additionalParams?: AdditionalParams);
    dateStr2UTC(inputDate: string): string;
    clean(customFilter: CustomFilter, reportFilter: ReportFilter): ReportFilter;
    getFilter(): ReportFilter;
}
export declare class AdditionalParams {
    key1: string;
    key2: string;
    constructor(key1?: string, key2?: string);
}
