"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FilterDate = (function () {
    function FilterDate(dateStart, dateEnd) {
        this.dateStart = dateStart;
        this.dateEnd = dateEnd;
    }
    return FilterDate;
}());
exports.FilterDate = FilterDate;
var TimeRange = (function () {
    function TimeRange(timeStart, timeEnd) {
        this.timeStart = timeStart;
        this.timeEnd = timeEnd;
    }
    return TimeRange;
}());
exports.TimeRange = TimeRange;
var Subgroup = (function () {
    function Subgroup(id) {
        this.id = id;
    }
    return Subgroup;
}());
exports.Subgroup = Subgroup;
var FilterStation = (function () {
    function FilterStation(id) {
        this.id = id;
    }
    return FilterStation;
}());
exports.FilterStation = FilterStation;
var ReportFilter = (function () {
    function ReportFilter(dates, times, carParks, subGroups, period, stations, subGroupsStations, customFilter, additionalParams) {
        if (period === void 0) { period = 'DAILY'; }
        this.dates = dates;
        this.times = times;
        this.carParks = carParks;
        this.subGroups = subGroups;
        this.period = period;
        this.stations = stations;
        this.subGroupsStations = subGroupsStations;
        this.customFilter = customFilter;
        this.additionalParams = additionalParams;
        for (var _i = 0, _a = this.dates; _i < _a.length; _i++) {
            var date = _a[_i];
            date.dateStart = this.dateStr2UTC(date.dateStart) + '000000';
            date.dateEnd = this.dateStr2UTC(date.dateEnd) + '235959';
        }
    }
    ReportFilter.prototype.dateStr2UTC = function (inputDate) {
        var inputDateAux = inputDate.replace(/-/gi, "");
        var year = inputDateAux.substr(0, 4);
        var month = inputDateAux.substr(4, 2);
        var day = inputDateAux.substr(6, 2);
        return year + month + day;
    };
    ReportFilter.prototype.clean = function (customFilter, reportFilter) {
        if (customFilter) {
            if (customFilter.hideTimeRange) {
                delete reportFilter.times;
                reportFilter.times = [];
                reportFilter.dates.forEach(function (date) {
                    reportFilter.times.push(new TimeRange('00:00', '23:59'));
                });
            }
            if (customFilter.hideCompare) {
                if (reportFilter.dates.length >= 1) {
                    var dates = JSON.parse(JSON.stringify(reportFilter.dates));
                    delete reportFilter.dates;
                    reportFilter.dates = [];
                    reportFilter.dates.push(dates[0]);
                }
            }
            if (customFilter.hideGroups) {
                delete reportFilter.subGroups;
            }
            if (!customFilter.enableStation) {
                delete reportFilter.stations;
            }
            if (!customFilter.enableStationGroups) {
                delete reportFilter.subGroupsStations;
            }
        }
        delete reportFilter.customFilter;
        return reportFilter;
    };
    ReportFilter.prototype.getFilter = function () {
        var reportFilter = JSON.parse(JSON.stringify(this));
        reportFilter.carParks = reportFilter.carParks.filter(function (carPark) { return carPark.checked == true; });
        reportFilter.carParks.forEach(function (carPark) { return delete carPark.checked; });
        reportFilter = this.clean(this.customFilter, reportFilter);
        //console.log('getFilter:'+ JSON.stringify(reportFilter));
        return JSON.parse(JSON.stringify(reportFilter));
    };
    return ReportFilter;
}());
exports.ReportFilter = ReportFilter;
var AdditionalParams = (function () {
    function AdditionalParams(key1, key2) {
        this.key1 = key1;
        this.key2 = key2;
    }
    return AdditionalParams;
}());
exports.AdditionalParams = AdditionalParams;
//# sourceMappingURL=report-filter.js.map