export declare class WebReportsData {
    title: string;
    type: string;
    views: View[];
    dataSources: DataSources[];
    template: any[][];
    dashboard: any[];
}
export declare class View {
    id: string;
    title: string;
    subtitle?: string;
    component?: Component;
    components?: Component[];
}
export declare class Component {
    type: string;
    labels: any;
    chart: Chart[];
    dataSourceId: string;
    seriesColumn?: string;
    columns: any[];
    field: string;
    operation: string;
    format: string;
    legend?: string;
    textAlign?: string;
    backgroundColor: string;
    formats?: any[];
    align?: any;
    fontSize?: string;
    height?: string;
    sum?: string;
    paging?: boolean;
    scrolly?: string;
    lengthMenu?: any[];
    lengthChange?: boolean;
    searching?: boolean;
}
export declare class Chart {
    chartTypes: string;
    yAxis?: string;
    xAxis?: string;
    labels?: string;
    ySide?: string;
    stacking?: string;
}
export declare class DataSources {
    id: string;
    data: any[];
}
