"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var Observable_1 = require("rxjs/Observable");
var ng2_translate_1 = require("ng2-translate");
var TimeAgoPipe = (function () {
    function TimeAgoPipe(translate, ngZone) {
        var _this = this;
        this.translate = translate;
        this.ngZone = ngZone;
        this.process = function (timestamp, rootTranslateKey) {
            var text;
            var timeToUpdate;
            var now = new Date();
            // Time ago in milliseconds
            var timeAgo = now.getTime() - timestamp;
            var seconds = timeAgo / 1000;
            var minutes = seconds / 60;
            var hours = minutes / 60;
            var days = hours / 24;
            var months = days / 30.416;
            var years = days / 365;
            if (timestamp == 0) {
                text = _this.translate.instant(rootTranslateKey + '.NEVER_CONNECTED');
            }
            else if (seconds <= 10) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_00');
            }
            else if (seconds <= 45) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_01');
            }
            else if (seconds <= 90) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_02');
            }
            else if (minutes <= 50) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_03', { value: Math.round(minutes) });
            }
            else if (hours <= 1.5) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_04');
            }
            else if (hours <= 22) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_05', { value: Math.round(hours) });
            }
            else if (hours <= 36) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_06');
            }
            else if (days <= 25) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_07', { value: Math.round(days) });
            }
            else if (months <= 1.5) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_08');
            }
            else if (months <= 11.5) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_09', { value: Math.round(months) });
            }
            else if (years <= 1.5) {
                text = _this.translate.instant(rootTranslateKey + '.MSG_10');
            }
            else {
                text = _this.translate.instant(rootTranslateKey + '.MSG_11', { value: Math.round(years) });
            }
            if (minutes < 1) {
                // update every 2 secs
                timeToUpdate = 2 * 1000;
            }
            else if (hours < 1) {
                // update every 30 secs
                timeToUpdate = 30 * 1000;
            }
            else if (days < 1) {
                // update every 5 mins
                timeToUpdate = 300 * 1000;
            }
            else {
                // update every hour
                timeToUpdate = 3600 * 1000;
            }
            return {
                text: text,
                timeToUpdate: timeToUpdate
            };
        };
        this.transform = function (value, rootTranslateKey) {
            // time value in milliseconds
            var timestamp = value.getTime();
            if (value.getFullYear() == 1970) {
                timestamp = 0;
            }
            var timeoutID;
            return Observable_1.Observable.create(function (observer) {
                var latestText = '';
                // Repeatedly set new timeouts for new update checks.
                var registerUpdate = function () {
                    var processOutput = _this.process(timestamp, rootTranslateKey);
                    if (processOutput.text !== latestText) {
                        latestText = processOutput.text;
                        _this.ngZone.run(function () {
                            observer.next(latestText);
                        });
                    }
                    timeoutID = setTimeout(registerUpdate, processOutput.timeToUpdate);
                };
                _this.ngZone.runOutsideAngular(registerUpdate);
                // Return teardown function
                var teardownFunction = function () {
                    if (timeoutID) {
                        clearTimeout(timeoutID);
                    }
                };
                return teardownFunction;
            });
        };
    }
    TimeAgoPipe.DATE_FORMAT = 'DD/MM/YY HH:mm:ss';
    TimeAgoPipe = __decorate([
        core_1.Pipe({
            name: 'timeAgo',
            pure: true
        }),
        __metadata("design:paramtypes", [ng2_translate_1.TranslateService, core_1.NgZone])
    ], TimeAgoPipe);
    return TimeAgoPipe;
}());
exports.TimeAgoPipe = TimeAgoPipe;
//# sourceMappingURL=timeago.pipe.js.map