import { Observable } from 'rxjs/Rx';
import { Station, StationDetail, LiveSubscriber, LiveMqttPacket, LiveEvents, LiveCommandResponse, LiveCommandResponses, LiveStationScreenShot } from '../../../app/models/index';
import { LiveMqttDataPacket } from '../../models/live-operator';
import { Service } from '../service';
import { Subject } from 'rxjs/Rx';
export declare class LiveOperatorService {
    private service;
    liveSubscriberId: string;
    mqttSubject: Subject<LiveMqttPacket>;
    constructor(service: Service);
    subscriber(): Observable<LiveSubscriber>;
    hearbeat(id: string): Observable<LiveSubscriber>;
    unsubscriber(id: string): Observable<any>;
    getAll(): Observable<LiveMqttDataPacket[]>;
    getAllEvents(pageSize: number, pageNumber: number, idCarPark?: string, sortField?: string, sortOrder?: number): Observable<LiveEvents>;
    clearEvent(idCarPark: string, idEvent: number): Observable<any>;
    getEventDetail(idCarPark: string, idEvent: number): Observable<any>;
    getAllStations(selectedCarpark: string): Observable<Station[]>;
    getStationDetail(stationId: string): Observable<StationDetail>;
    getAllEventsByStation(pageSize: number, pageNumber: number, idStation?: string, idCarPark?: string): Observable<LiveEvents>;
    sendCommandToStation(idCarPark: string, idStation: string, commandType: string, comment: string, parameters?: any): Observable<LiveCommandResponse>;
    getStationCommands(pageNumber: number, pageSize: number): Observable<LiveCommandResponses>;
    getStationScreenShot(carParkId: string, stationId: string): Observable<LiveStationScreenShot>;
}
