"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var index_1 = require("../../../app/models/index");
var app_settings_1 = require("../../../app/app-settings");
var service_1 = require("../service");
var Rx_1 = require("rxjs/Rx");
var LiveOperatorService = (function () {
    function LiveOperatorService(service) {
        this.service = service;
        this.mqttSubject = new Rx_1.Subject();
    }
    LiveOperatorService.prototype.subscriber = function () {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.post(app_settings_1.AppSettings.endPointLiveOperatorSubscriber());
    };
    LiveOperatorService.prototype.hearbeat = function (id) {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.put(app_settings_1.AppSettings.endPointLiveOperatorUnsubscriber(id));
    };
    LiveOperatorService.prototype.unsubscriber = function (id) {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.delete(app_settings_1.AppSettings.endPointLiveOperatorUnsubscriber(id));
    };
    LiveOperatorService.prototype.getAll = function () {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.get(app_settings_1.AppSettings.endPointLiveOperatorGetAll());
    };
    LiveOperatorService.prototype.getAllEvents = function (pageSize, pageNumber, idCarPark, sortField, sortOrder) {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        if (idCarPark) {
            return this.service.get(app_settings_1.AppSettings.endPointLiveOperatorEventsByCarParkGetAll(idCarPark, pageSize, pageNumber));
        }
        else {
            return this.service.get(app_settings_1.AppSettings.endPointLiveOperatorEventsGetAll(pageSize, pageNumber, sortField, sortOrder));
        }
    };
    LiveOperatorService.prototype.clearEvent = function (idCarPark, idEvent) {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.put(app_settings_1.AppSettings.endPointLiveOperatorClearEvent(idCarPark, idEvent));
    };
    LiveOperatorService.prototype.getEventDetail = function (idCarPark, idEvent) {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.get(app_settings_1.AppSettings.endPointLiveOperatorGetEventDetail(idCarPark, idEvent));
    };
    LiveOperatorService.prototype.getAllStations = function (selectedCarpark) {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.get(app_settings_1.AppSettings.endPointLiveOperatorStationsGetAll(selectedCarpark));
    };
    LiveOperatorService.prototype.getStationDetail = function (stationId) {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.get(app_settings_1.AppSettings.endPointLiveOperatorGetStationDetail(stationId));
    };
    LiveOperatorService.prototype.getAllEventsByStation = function (pageSize, pageNumber, idStation, idCarPark) {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.get(app_settings_1.AppSettings.endPointLiveOperatorEventsByStationGetAll(idCarPark, idStation, pageSize, pageNumber));
    };
    LiveOperatorService.prototype.sendCommandToStation = function (idCarPark, idStation, commandType, comment, parameters) {
        this.service.setHeader({ 'Content-Type': 'application/json', 'Live-Operator-Session-Id': this.liveSubscriberId }, true);
        this.service.setBody(new index_1.StationCommand(commandType, comment, parameters));
        return this.service.post(app_settings_1.AppSettings.endPointLiveOperatorSendCommand(idCarPark, idStation), true, true);
    };
    LiveOperatorService.prototype.getStationCommands = function (pageNumber, pageSize) {
        this.service.setHeader({ 'Content-Type': 'application/json' }, true);
        return this.service.get(app_settings_1.AppSettings.endPointLiveOperatorStationCommands(pageSize, pageNumber));
    };
    LiveOperatorService.prototype.getStationScreenShot = function (carParkId, stationId) {
        this.service.setHeader({ 'Content-Type': 'application/json', 'Live-Operator-Session-Id': this.liveSubscriberId }, true);
        return this.service.post(app_settings_1.AppSettings.endPointLiveOperatorStationScreenShot(carParkId, stationId), false);
    };
    LiveOperatorService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [service_1.Service])
    ], LiveOperatorService);
    return LiveOperatorService;
}());
exports.LiveOperatorService = LiveOperatorService;
//# sourceMappingURL=live-operator.service.js.map