import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LiveOperatorService, WpsLoginService } from './src/app/services';
import { Service } from "./src/app/services/service";
import { HttpClientService } from "./src/app/services/http.client";
import { Login } from './src/app/util/login';

export * from './src/app/services/index';
export * from './src/app/models/index';
export * from './src/app/app-settings';
export * from './src/app/local-storage';
export * from './src/app/pipe.module';

@NgModule({
  imports: [
    CommonModule
  ],
  declarations: [
    //SampleComponent, SampleDirective, SamplePipe
  ],
  exports: [
    //SampleComponent, SampleDirective, SamplePipe
  ]
})
export class WpsEnterpriseModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: WpsEnterpriseModule,
      providers: [Service, HttpClientService, Login, WpsLoginService, LiveOperatorService]
    };
  }
}
