import { Injectable } from '@angular/core';
import { Login, Groups, StationGroups } from './models/index';

@Injectable()
export class AppSettings {
    public static DEBUG: boolean;
    public static BACKEND_SERVER_SETTINGS: string;
    public static BACKEND_SERVER_WEB_REPORTS: string;
    public static BACKEND_SERVER_ENTEPRISE_ADMIN: string;
    public static BACKEND_SERVER_PARKING_RESERVATION: string;
    public static BACKEND_LOGIN: string;
    public static AUTH : string;    
    public static LANG: string = 'en-en';
    public static PRODUCTION : boolean;
    public static DATE_FORMAT : string = 'dd/mm/yy';
    public static TIME_FORMAT : string = 'HH:mm';
    public static loginUsername: string = '';
    public static idReport : number;
    public static startIdReport : number=1;
    public static groups : Groups[] = [];
    public static stationGroups : StationGroups[] = [];
    public static authorizationTemporary : string; 
    public static refreshTokenId : any;
    public static heartBeatInterval: any;
    public static BACKEND_SERVER_BROKER_enabled: boolean;
    public static BACKEND_SERVER_BROKER_url: string;
    public static BACKEND_SERVER_BROKER_user: string;
    public static BACKEND_SERVER_BROKER_pass: string; 
    public static BACKEND_SERVER_BROKER_subscribe: string[];
    public static BACKEND_SERVER_BROKER_publish: string[];
    public static BACKEND_SERVER_BROKER_keepalive: number;
    public static BACKEND_SERVER_BROKER_showHeart: boolean;
    
    public static accountOwner : boolean = false;
    public static targetAccount : any;
    public static ENABLED_SERVICES : string[] = [];
    public static SERVICE_SETTINGS : string = 'settings';
    public static ROUTE_SERVICE = {
          'admin' : 'enterprise-admin',
          'settings' : 'settings',
          'webReports' : 'reporting',
          'parkReservation' : 'parking-reservation',
          'mobilePayment' : '',
          'scheduling' : '',
          'enterprise' : 'enterprise',
          'liveOperator' : 'live-operator'
    };
    public static USER_NAME : string = '';
    public static USER_ID : string = '';
  
    public static URI_PARKING_RESERVATION : string = '/reservation/v1/'; 
    
    
    constructor() {
    }
        
    public static set selectedLanguage(lang: string) {
        AppSettings.LANG = lang;
    }

    public static get selectedLanguage() {
        return AppSettings.LANG;
    }


    public static getEndPointLiveSessionControl(id: String, action: String): any {
        if (AppSettings.DEBUG) {
            return '/mock-data/live-dashboards.json'; // same response for create/ heartbeat/delete because we care only for create. 
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/live-dashboards/' + id + action;
        }
    }

    public static getEndPointWebReports(idReport: number): any {
        AppSettings.idReport = idReport;
        if (AppSettings.DEBUG) {   
            return '/mock-data/report-demo-all.json';
            //return '/mock-data/report-occupation.json';
            //return '/mock-data/report.json';
            //return '/mock-data/report-by-period.json'; // by period with dashboard item for realtime
            //return '/mock-data/report-by-subgroup.json'; //grouped by subgroup
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/' + idReport;
        }
    }

    public static getEndPointWebReportsScheduling(token : string, idReport: string): any {
        if (AppSettings.DEBUG) {   
            return '/mock-data/report.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling/' + token + '?reportId=' + idReport;
        }
    }

    public static get endPointSubmenuGetAll(): string {
        if (AppSettings.DEBUG) {
             //this new mocky includes property realtime boolean for some reports
            //return 'http://www.mocky.io/v2/58d28b081000009804b164c4';
            //return 'http://www.mocky.io/v2/58cc2aeb120000ef0de10482';
            //return 'http://www.mocky.io/v2/58822b002800002d05cbd40d';
            //return 'http://www.mocky.io/v2/5881e290250000a021c9ee89';
            return '/mock-data/submenu-report.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports?language=' + AppSettings.LANG;
        }
    }

    public static get endPointParkingGetAll(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/all-carparks.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/carparks/';
        }
    }

    public static endPointStationsGetAll(carpark: string): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/all-stations.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/carparks/'+carpark+'/stations';
        }
    }
    //-------- Custom Template --------//

    public static endPointTemplateById(id: number): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/edit-template-by-id.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/' + id;
        }
    }

    public static get endPointTemplateAdd(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/add-template.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/customReports';
        }
    }

    public static endPointTemplateEdit(id: number): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/edit-template.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/' + id + '/customReports';
        }
    }

    public static endPointTemplateRemove(id: number): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/edit-template.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/' + id + '/customReports';
        }
    }


    //-------- Custom DataSource --------//

    public static get endPointDataSourceGetAll(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/all-datasources.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource';
        }
    }

    public static endPointDataSourceGetById(id: number): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/datasources-edit.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource/' + id;
        }
    }

    public static get endPointDataSourceAdd(): string {
        if (AppSettings.DEBUG) {
            return 'http://www.mocky.io/v2/58822f84280000ba05cbd421';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource';
        }
    }

    public static get endPointDataSourceEdit(): string {
        if (AppSettings.DEBUG) {
            return 'http://www.mocky.io/v2/58822f84280000ba05cbd421';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource';
        }
    }

    public static endPointDataSourceRemove(id: number): string {
        if (AppSettings.DEBUG) {
            return 'http://www.mocky.io/v2/58822f84280000ba05cbd421';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource/' + id;
        }
    }

    public static get endPointDataSourceCheckSyntax(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/datasources-syntax-ok';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/catalog-datasource/test-query';
        }
    }

    //-------- Groups --------//

    public static get endPointGroupsGetAll(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/all-groups.json';
        } else {
            return AppSettings.BACKEND_SERVER_SETTINGS + '/enterprises/groups';
        }
    }

    public static get endPointGroupsParking(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/all-carparks.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/carparks/';
        }
    }

    public static get endPointGroupsAdd(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/groups-add.json';
        } else {
            return AppSettings.BACKEND_SERVER_SETTINGS + '/enterprises/groups/';
        }
    }

    public static get endPointGroupsRemove(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/groups-remove.json';
        } else {
            return AppSettings.BACKEND_SERVER_SETTINGS + '/enterprises/groups';
        }
    }

    public static endPointGroupsRemoveById(id: number): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/groups-remove-by-id.json';
        } else {
            return AppSettings.BACKEND_SERVER_SETTINGS + '/enterprises/groups/' + id;
        }
    }

    public static endPointCarParkGroupsEdit(id: number): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/groups-edit.json';
        } else {
            return AppSettings.BACKEND_SERVER_SETTINGS + '/enterprises/groups/' + id + '/carParks';
        }
    }

    //-------- Login --------//
    public static endPointLogin(login: Login): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/login.json';
        } else {
            console.log('(AppSettings.BACKEND_LOGIN='+AppSettings.BACKEND_LOGIN + '/enterprises/oauth/token?grant_type=password&username=' + login.username + '&password=' + login.password);
            return AppSettings.BACKEND_LOGIN + '/enterprises/oauth/token?grant_type=password&username=' + login.username + '&password=' + login.password;
        }
    }

    public static endPointRefreshToken(token:string): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/login.json';
        } else {
            return AppSettings.BACKEND_LOGIN + '/enterprises/oauth/token?grant_type=refresh_token&refresh_token='+token;
        }
    }
    
    //Scheduling
    public static get endPointSchedulingAdd(): string {
        return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling';
    }    
    
    public static get endPointSchedulingGetAll(): string {
        return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling';
    }    
    
    public static get endPointSchedulingEdit(): string {
        return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling';
    }
    
    public static endPointSchedulingRemove(id: number): string {
        return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/reports/scheduling/' + id;
    }
    
    //Users
    public static getEndPointUsersGetAll(): string {
        return '/enterprises/account/users';
    }
    
    public static endPointUserAdd () : string {
        return AppSettings.BACKEND_SERVER_SETTINGS + AppSettings.getEndPointUsersGetAll();
    }
    
    public static endPointUserGetAll () : string {
        return AppSettings.BACKEND_SERVER_SETTINGS + AppSettings.getEndPointUsersGetAll();
    }
    
    public static endPointUserEdit(id : string) : string {        
        return AppSettings.BACKEND_SERVER_SETTINGS + AppSettings.getEndPointUsersGetAll() + '/' + id;
    }
    
    public static endPointUserRemove(id : string) : string {
        return AppSettings.BACKEND_SERVER_SETTINGS + AppSettings.getEndPointUsersGetAll() + '/' + id;
    }
    
    public static changePassword (id : string) : string {
        return AppSettings.BACKEND_LOGIN + '/enterprises/account/users/' + id + '/change-password';
    }

    public static loggedUser () : string {
        return AppSettings.BACKEND_SERVER_SETTINGS + '/enterprises/logged-user';
    }
    
    public static invalidateToken () : string {
        return AppSettings.BACKEND_SERVER_SETTINGS + '/enterprises/oauth/revoke-token?username=' + AppSettings.loginUsername;
    }    
    
    public static resetPassword () : string {
        return AppSettings.BACKEND_SERVER_SETTINGS + '/enterprises/password/reset';
    }
    
    //Admin
    //Account
    public static getEndPointAccountGetAll(): string {
        return '/enterprise-admin/v1/accounts';
    }
    
    public static endPointAccountAdd () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings.getEndPointAccountGetAll();
    }
    
    public static endPointAccountGetAll () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings.getEndPointAccountGetAll();
    }
    
    public static endPointAccountEdit(id : string) : string {        
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings.getEndPointAccountGetAll() + '/' + id;
    }
    
    public static endPointAccountRemove(id : string) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings.getEndPointAccountGetAll() + '/' + id;
    }
        
    //Company
    public static setTargetAccount(targetAccount : any) {
        AppSettings.targetAccount = targetAccount;
    }
    
    public static getEndPointCompanyGetAll(): string {
        if (AppSettings.targetAccount == undefined) {
            return '/enterprise-admin/v1/accounts/1/companies';
        }
        return '/enterprise-admin/v1/accounts/' + AppSettings.targetAccount.accountId + '/companies';
    }
    
    public static endPointCompanyAdd () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies';
    }
    
    public static endPointCompanyGetAll () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings.getEndPointCompanyGetAll();
    }
    
    public static endPointCompanyEdit(id : number) : string {        
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + id;
    }
    
    public static endPointCompanyRemove(id : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + id;
    }
    
    public static endPointAddCarParkToCompany(idCompany : number, idCarPark : string) : string {        
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/'+idCompany+'/carparks/'+idCarPark;
    }
    
    //CarParks
    public static getEndPointCarParkGetAll(): string {
        return '/enterprise-admin/v1/carparks';
    }
    
    public static endPointCarParkAdd () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/carparks';
    }
    
    public static endPointCarParkGetAll () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings.getEndPointCarParkGetAll();
    }
    
    public static endPointCarParkEdit(id : string) : string {        
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/carparks/' + id;
    }
    
    public static endPointCarParkRemove(id : string) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/carparks/' + id;
    }    
    
    public static endPointCarParkGetAllByCompany (idCompany : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + idCompany + '/carparks';
    }
    
    public static endPointCarParkAvailableByCompany (idCompany : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + idCompany + '/carparks?notRelated=' + true;
    }

    public static endPointCarParkGetAllServices () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/services';
    }

    public static endPointCarParkServicesAdd (idAccount : number, idCarPark : string, idService : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + idAccount + '/carparks/' + idCarPark + '/services/' + idService + '/enable';
    }

    public static endPointCarParkServicesUpdate (idAccount : number, idCarPark : string, idService : number, enableId : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + idAccount + '/carparks/' + idCarPark + '/services/' + idService + '/enable/' + enableId;
    }
    
    //Application
    public static endPointApplicationGetAll () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + (AppSettings.targetAccount == undefined?'1':AppSettings.targetAccount.accountId) + '/users?type=APPLICATION';
    }
    
    public static endPointApplicationAdd () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/users';
    }    
    
    //Credential
    public static endPointCredentialGetAll (id : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/users/' + id + '/credentials';
    }
    
    public static endPointCredentialAdd () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/credentials';
    }        
    
    public static endPointAuthorizationGetAll (idCredential: number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/credentials/' + idCredential + '/authorizations?accountId=' + AppSettings.targetAccount.accountId;
    }            
    
    public static endPointAuthorizationAdd () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations';
    }            

    public static endPointAuthorizationDelete (id : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations/' + id;
    }            

    public static endPointRolesGetAll (idService : number, type : string, enabled? : boolean) : string {
        let url;
        if (enabled) {
            url = AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations/'+idService+'/roles/enabled';
        } else {
            url = AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/services/'+idService+'/roles';            
            url += '?userType='+type;
        }
        return url;
    }            

    public static endPointRoleAdd (idAuthorization : number, idRole : string) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations/'+idAuthorization+'/roles/'+idRole+'/enabled';
    }            

    public static endPointRoleUpdate (idAuthorization : number, idRole : string, idEnabledRole : string) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/authorizations/'+idAuthorization+'/roles/'+idRole+'/enabled/' + idEnabledRole;
    }            
    
    //Live Operator
  
    public static endPointLiveOperatorSubscriber() : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/subscribers';    
    }
  
    public static endPointLiveOperatorUnsubscriber(id:string) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/subscribers/'+id;    
    }
  
    public static endPointLiveOperatorGetAll () : string {
        if (AppSettings.DEBUG) {
            return '/mock-data/live-operator-carparks.json';
        } else {
            return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/carparks';
        }
    }

    public static endPointLiveOperatorEventsGetAll (pageSize : number, pageNumber? : number, sortField?: string, sortOrder? : number) : string {
        if (AppSettings.DEBUG) {
            return '/mock-data/live-operator-carparks-events.json';
        } else {
            let url = AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/events?size='+pageSize;
            if (pageNumber != undefined) {
                url+='&page='+pageNumber;
            }
            //if (sortField) {
                //url+='&sort='+sortField+','+(sortOrder==-1?'desc':'asc');
            //}
            return url;
        }
    }

    public static endPointLiveOperatorClearEvent(idCarPark : string, idEvent : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/carparks/'+idCarPark+'/events/' + idEvent +'/clears';
    }    

    public static endPointLiveOperatorGetEventDetail(idCarPark : string, idEvent : number) : string {
        if (AppSettings.DEBUG) {
            if (idEvent % 2 == 0) {
                return 'mock-data/live-operator-event-detail-0.json'
            } else {
                return 'mock-data/live-operator-event-detail-1.json'
            }
        } else {
            return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/carparks/'+idCarPark+'/events/' + idEvent +'/details';
        }
    }    

    public static endPointLiveOperatorEventsByCarParkGetAll (idCarPark: string, pageSize : number, pageNumber? : number) : string {
        if (AppSettings.DEBUG) {
            return '/mock-data/live-operator-carparks-events.json';
        } else {
            let url = AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/carparks/'+idCarPark+'/events?size='+pageSize;
            if (pageNumber != undefined) {
                url+='&page='+pageNumber;
            }
            return url;
        }
    }

    public static endPointLiveOperatorEventsByStationGetAll (idCarPark : string, idStation: string, pageSize : number, pageNumber? : number) : string {
        if (AppSettings.DEBUG) {
            return '/mock-data/live-operator-carparks-events.json';
        } else {
            let url = AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/events/v1/carparks/'+idCarPark+'/stations/'+idStation+'/events?size='+pageSize;
            if (pageNumber != undefined) {
                url+='&page='+pageNumber;
            }
            return url;
        }
    }          
    public static endPointLiveOperatorStationsGetAll (idCarPark : string) : string {
        let url = AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/carparks/'+idCarPark+'/stations';
        return url;
    }          
  
    public static endPointLiveOperatorGetStationDetail (stationId : string) : string {
        return '/mock-data/live-operator-station-detail-0.json';
    }  
    
    public static endPointLiveOperatorSendCommand(carParkId : string, stationId : string) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/carparks/'+carParkId+'/stations/'+stationId+'/commands';
    }

    public static endPointLiveOperatorStationCommands(pageSize : number, pageNumber? : number) : string {
        let url = AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/commands?size='+pageSize;
        if (pageNumber != undefined) {
            url+='&page='+pageNumber;
        }
        return url + '&sort=updateDateTime,desc';
        
    }

    public static endPointLiveOperatorStationScreenShot(carParkId : string, stationId : string) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/live-operator/v1/carparks/'+carParkId+'/stations/'+stationId+'/screenshot';
    }

    // Parking Reservation
    public static endPointEnabledCarParksParkingReservation(page: number, size: number) : string {
      return AppSettings.BACKEND_SERVER_PARKING_RESERVATION + AppSettings.URI_PARKING_RESERVATION + 'carParks/enabled?page=' + page + '&size=' + size;
    }
  
    public static endPointCreateEnabledCarParkParkingReservation(carParkId : string) : string {
      return AppSettings.BACKEND_SERVER_PARKING_RESERVATION + AppSettings.URI_PARKING_RESERVATION + 'carParks/' + carParkId + '/enabled';
    }
    
    public static endPointUpdateEnabledCarParkParkingReservation(carParkId : string, enabledId : string) : string {
      return AppSettings.BACKEND_SERVER_PARKING_RESERVATION + AppSettings.URI_PARKING_RESERVATION + 'carParks/' + carParkId + '/enabled/' + enabledId;
    }


    //Regions
    public static getEndPointRegionGetAll(): string {
        return '/enterprise-admin/v1/regions';
    }

    public static endPointRegionGetAll () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + AppSettings.getEndPointRegionGetAll();
    }
    
    public static endPointRegionGetAllByCompany (idCompany : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + idCompany + '/regions';
    }

    public static endPointRegionAdd () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/regions';
    }
    
    public static endPointRegionRemove(id : string) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/regions/' + id;
    } 
    public static endPointRegionAvailableByCompany (idCompany : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/companies/' + idCompany + '/regions?notRelated=' + true;
    }
    
    public static endPointRegionGetAllServices () : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/services';
    }

    public static endPointRegionServicesAdd (idAccount : number, idRegion : string, idService : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + idAccount + '/regions/' + idRegion + '/services/' + idService + '/enable';
    }

    public static endPointRegionServicesUpdate (idAccount : number, idRegion : string, idService : number, enableId : number) : string {
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/accounts/' + idAccount + '/regions/' + idRegion + '/services/' + idService + '/enable/' + enableId;
    }
    
    public static endPointRegionEdit(id : string) : string {        
        return AppSettings.BACKEND_SERVER_ENTEPRISE_ADMIN + '/enterprise-admin/v1/regions/' + id;
    }


     //-------- Station Groups --------//
    public static endPointStationGroupsGetAll(carparkId: string): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/all-groups-station.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/carparks/'+carparkId+'/groupsstations';
        }
    }

    public static endPointStationGroupsStations(groupId: string): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/all-carparks-station.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations/'+groupId+'/stations';
        }
    }

    public static get endPointStationGroupsAdd(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/groups-add-station.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations/';
        }
    }

    public static get endPointStationGroupsRemove(): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/groups-remove-station.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations';
        }
    }

    public static endPointStationGroupsRemoveById(id: number): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/groups-remove-by-id-station.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations/' + id;
        }
    }

    public static endPointStationGroupsEditStation(id: number): string {
        if (AppSettings.DEBUG) {
            return '/mock-data/groups-edit-station.json';
        } else {
            return AppSettings.BACKEND_SERVER_WEB_REPORTS + '/reporting/groupsstations/' + id + '/stations';
        }
    }
}
