import { Observer } from './observer';

export class Subject {
    private static observers: Observer[] = [];

    public register(observer: Observer): void {
        Subject.observers.push(observer);
    }

    public unregister(observer: Observer): void {
        var n: number = Subject.observers.indexOf(observer);
        Subject.observers.splice(n, 1);
    }

    public notify(groupId: string, parameter?: any): void {
        for (let observer of Subject.observers) {
            if (observer.groupId == groupId) {
                observer.parameter = parameter;
                observer.notify();
            }
        }
    }
    
    isParameterNull(groupId: string) {
        let observer : Observer[] = Subject.observers.filter(observer => observer.groupId = groupId);
        if (observer.length > 0) {
            return false;
        } else {
            return true;
        }        
    }
    
    getParameter(groupId: string) {
        let observer : Observer[] = Subject.observers.filter(observer => observer.groupId = groupId);
        if (observer.length > 0) {
            return observer[0].parameter;
        }
        return null;
    }
}