/*
 * Automatic generation by build.sh
 */
/*
 * Automatic generation by build.sh
 */
import { Page, Station, CarPark, Vehicle, Customer, Company, AccessId, Reason, AccessDeniedReason, Section, Amount } from "./index";

export class LiveEvents {
    page: Page;
    content: LiveEvent[];
}

export class Label {
    constructor(public key : string, public value : string, public textAlign : string = 'left', public marginLeft: string = '0px') {
    }
}

export class Text {
    constructor(public key : string, public lines : string[]) {        
    }
    linesToString() : string {
        let result : string = '';
        this.lines.forEach(line => {
            result += line.trim() + '\n';
        });
        return result;
    }
}

export class LiveEvent {
    constructor() {
        this.carPark = new CarPark();
        this.station = new Station();
    }
    id : number;
    name : string;
    date : string;
    links : any [];
    carPark : CarPark;
    station : Station;
    fromId : string;
    mouseEvent : any;
    labels : Label[];
    texts : Text[];
    openDateTime : Date;
    icon : string;
}

export class LiveEventDetails {
    comments : string[];
    details : LiveEventDetail;
}

export class LiveEventDetail {
    vehicle? : Vehicle;
    customer? : Customer;
    company? : Company;
    accessIdentifier? : AccessId;
    reason? : Reason;
    accessDeniedReason? : AccessDeniedReason;
    section? : Section;
    amount? : Amount;
    amountPaid? : Amount;
}
