/*
 * Automatic generation by build.sh
 */
/*
 * Automatic generation by build.sh
 */
import { CarPark } from './carpark';
import { Page } from './page';

export class HeaderMqttPacket {
    version: string;
    timestamp: string;
    type: string;
}

export class LiveMqttPacket {
    header: HeaderMqttPacket;
    data: LiveMqttDataPacket[] | any;
}

export class LiveMqttDataPacket {
    id: string;
    name: string;
    status: string;
    statusMsg?: string;
    numberEvents: number;
    updateDateTime: Date;
    state: string;
    screenshot: string;
}

export class LiveSubscriber {
    id: string;
    topic: string;
}

export class Station {
    constructor(public id?: string) {
    }
    name: string;
    status: string;
    numberEvents: number;
    statusMsg?: string;
    carPark: CarPark;
    events?: Event[];
    updateDateTime: Date;
    state: string;
    type : string;
    iconStation : string;
    commandTypes : string[];
    commandName : string[];
    commandIcon : string[];
    commandIconType : boolean[];
}

export class StationDetail {
    stationScreen: string;
    lastSuccessfulEvents: LastSuccessEvents[];
}

export class LastSuccessEvents {
    id: string;
    date: string;
    event: string;
    activity: string;
    barrierState: string;
}

export class Event {
    id: string;
    name: string;
    date: string;
    carParkId: string;
    carParkName: string;
    station: Station;
    fromId: string;
    mouseEvent: any;
}

export class LiveCommandResponse {
    carPark : CarPark;
    station : Station;
    command : string;
    comment : string;
    iconStation : string;
    iconCommand : string;
    isIcon : boolean;   
    success : boolean;
    executing : boolean;
    fail : boolean;
    title : string;

    sent: boolean;
    received: boolean;
    inProgress: boolean;
    executed: boolean;
    failed: boolean;
    updateDateTime : Date;
    type : string;
    links : string[];
}

export class LiveCommandResponses {
    content : LiveCommandResponse[];
    page: Page;
}

export class StationCommand {
    constructor(public type: string, public comment:string, public parameters?:any) {
    }
}


export class LiveStationScreenShot {

}
