/*
 * Automatic generation by build.sh
 */
/*
 * Automatic generation by build.sh
 */
import { CarPark, CustomFilter } from './index';
import { Observer, ConcreteSubject } from '../components/util/comm/index';

export class FilterDate {
    constructor (public dateStart : string, 
                 public dateEnd: string) {
                 }
}

export class TimeRange {
    constructor (public timeStart: string,
                 public timeEnd: string) {

    }
}
export class Subgroup {
    constructor (public id: string) {
    }
}

export class FilterStation {
    constructor (public id: string) {
    }
}

export class ReportFilter  {
    
    constructor (public dates: FilterDate[],
                 public times: TimeRange [],
                 public carParks: CarPark[],
                 public subGroups : Subgroup[],                
                 public period: string = 'DAILY',
                 public stations: FilterStation[], 
                 public subGroupsStations: Subgroup[],
                 public customFilter? : CustomFilter,                                  
                 public additionalParams?: AdditionalParams) {
        for (let date of this.dates) {
            date.dateStart = this.dateStr2UTC(date.dateStart) + '000000';
            date.dateEnd = this.dateStr2UTC(date.dateEnd) + '235959';
        }
    }
    
    dateStr2UTC(inputDate: string) {
        var inputDateAux = inputDate.replace(/-/gi, ""); 
        let year = inputDateAux.substr(0, 4);
        let month = inputDateAux.substr(4, 2);
        let day = inputDateAux.substr(6, 2);
        return year+month+day;            
    }
 
    public clean(customFilter: CustomFilter, reportFilter : ReportFilter) : ReportFilter {
        if (customFilter) {
            if (customFilter.hideTimeRange) {
                delete reportFilter.times;
                reportFilter.times = [];
                reportFilter.dates.forEach(date => {
                    reportFilter.times.push(new TimeRange('00:00', '23:59'));    
                });
            }

            if (customFilter.hideCompare) {
                if (reportFilter.dates.length >= 1) {
                    let dates = JSON.parse(JSON.stringify(reportFilter.dates));                    
                    delete reportFilter.dates;
                    reportFilter.dates = [];
                    reportFilter.dates.push(dates[0]);
                }
            }
                        
            if (customFilter.hideGroups) {
                delete reportFilter.subGroups;
            }

            if (!customFilter.enableStation) {
                delete reportFilter.stations;
            }
            
            if (!customFilter.enableStationGroups) {
                delete reportFilter.subGroupsStations;
            }
        }
        delete reportFilter.customFilter;
        return reportFilter;        
    }
     
    getFilter() : ReportFilter {
        let reportFilter : ReportFilter = <ReportFilter> JSON.parse(JSON.stringify(this));
        reportFilter.carParks = reportFilter.carParks.filter(carPark => carPark.checked == true);
        reportFilter.carParks.forEach(carPark => delete carPark.checked);
        reportFilter = this.clean(this.customFilter, reportFilter);
        //console.log('getFilter:'+ JSON.stringify(reportFilter));
        return <ReportFilter>JSON.parse(JSON.stringify(reportFilter));
    }
}

export class AdditionalParams {
    constructor (public key1?: string, public key2?: string) {
    }    
}
