import {Pipe} from "@angular/core";
import {DatePipe} from "@angular/common";
import {PipeTransform} from "@angular/core";
import {AppSettings} from '../app-settings';

@Pipe({name: 'date_custom'})
export class DateCustomPipe implements PipeTransform {
    
    private datePipe: DatePipe = new DatePipe(AppSettings.LANG);
    
    transform(isoDate: string, pattern?: string): string {
        if (pattern.indexOf('mm')) {
            pattern = pattern.replace('mm', 'MM');
        }
        const date = new Date(isoDate);
        return this.datePipe.transform(date, pattern);
    }

}
