import { Injectable } from '@angular/core';
import { Login, User } from '../models/user';
import { Observable } from 'rxjs/Rx';
import { AppSettings } from '../../app/app-settings';
import { Service } from './service';
import { WpsLocalStorage } from "../local-storage";

@Injectable()
export class WpsLoginService {
    constructor(private service: Service) {
    }
    login(user:Login): Observable<any> {
        if (AppSettings.DEBUG) {
            this.service.setHeader(null, false);
            if (user.username == 'admin@wpsenterprise.com' && user.password == '123') {
                AppSettings.loginUsername = 'admin';
                WpsLocalStorage.setItem('username', 'admin');
                return this.service.get('/mock-data/login.json');
            } else {
                return this.service.get('/mock-data/login-deny.json');
            }
        } else {
            let auth = AppSettings.AUTH;
            let header = { 'Content-Type': 'application/json', 'Authorization': 'Basic ' + auth};
            this.service.setHeader(header, false);
            this.service.setBody({});
            return this.service.post(AppSettings.endPointLogin(user));
        }
    }

    logout(): void {
        // remove preferences and user from local storage
        clearTimeout(AppSettings.refreshTokenId);
        clearTimeout(AppSettings.heartBeatInterval);
        AppSettings.authorizationTemporary = WpsLocalStorage.getItem('token_type') + ' ' + WpsLocalStorage.getItem('access_token');
        let lang = WpsLocalStorage.getItem('lang');
        WpsLocalStorage.clear();
        if (lang != null) {
            WpsLocalStorage.setItem('lang', lang);
        }
        AppSettings.ENABLED_SERVICES = [];
        //this.router.navigate(['/login']);
    }
}